#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.4
visibility:           public
id:                   kan-extensions-5.2.4-Izv7Nw6hCg4Cgsr576qiOr
key:                  kan-extensions-5.2.4-Izv7Nw6hCg4Cgsr576qiOr
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  94df6a17ff7352a453cea4425e7de5fe
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.4-Izv7Nw6hCg4Cgsr576qiOr
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4.1-Lbsx81YcxNoGr5rH3RpNcT array-0.5.4.0
    base-4.15.1.0 comonad-5.0.8-C9t8wh0hNXv3B1djuoJjtI
    containers-0.6.4.1 contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    distributive-0.6.2.1-KCibuK1Ork5CRn8dSXWqyq
    free-5.1.8-BNywyVO32CHI2apeu0HcXB
    invariant-0.5.6-GiZNS9GyCm4JvPy9khkKQn mtl-2.2.2
    profunctors-5.6.2-FRAyuphOIkq5v7FzkaI8Ys
    semigroupoids-5.3.7-5B78CVm23hgLq9eADr8PDI
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2
    transformers-compat-0.7.1-5G5J9BcZIFIGkjABObiUpP

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

